GETTING BACK TO 1.3.5 FROM BEFORE THE DEVS BLEW IT

was this useful?


  • Total voters
    8

strikyer

Well-Known Member
Joined
Dec 19, 2015
Messages
20
Likes
22
Points
410
Age
18
#1
As of now the devs killed the modding community, maybe by mistake but that mistake was with a .50BMG sniper rifle
it'll take a lot of time to fix it and some quit so i'm posting this to quell the folly of it all for the moment

it's not simple but we can do it:
-put this link on your browser to access your steam console: steam://nav/console
-insert "download_depot 285920 285926 5796941714856594366"

1576972091802.png
-get theses files, once downloaded in steam/steamapps/content/(gibberish) it's named "depot(gibberish)"
1576972136952.png
-MAKE A BACKUP OF YOUR FILES on a new folder where you like, in case you blow it
-copy that file in that backup folder in a separate one than that backup and name it "1.3.5" (not needed but good to remember what is what)

1576972186180.png
-copy/paste the contents of that file into your "common/terratech" folder and overwrite it
-now you have 1.3.5 on terratech! if you want to get back to the older one just take the backup
REMEMBER TO SAVE YOUR MODS SECURELY BEFORE DOING IT OR YOU'LL BE ERASING IT BY MISTAKE
REMEMBER TO INSTALL TerraTech ModLoader AFTER THAT


Many thanks and credits for BeastMan for telling me how to do that, i'm just repeating what he told me.
 

Sdarks

Well-Known Member
Joined
Jun 13, 2018
Messages
288
Likes
499
Points
470
Age
25
#8
I have fixed this already internally, it was a change designed to help optimise the Switch version that shouldn't have made its way into the PC builds. It'll all be back to normal soon, I'll let you know when the update is available :)

We're definitely not going to intentionally break modding support and stuff like this is why we have unstables. If the mods break in the unstables and you let us know we can make sure it all works again before the stable gets released.
 

DatGamrTho

Well-Known Member
Joined
Sep 12, 2017
Messages
5
Likes
1
Points
405
Age
17
#9
If you go to the betas, there's an option to go back to 1.5.0 which works perfectly with mods. 1.3.5 I forgot my coffee at the time don't judge me
 
Last edited: